Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Class DbChar

    java.lang.Object
      jet.connect.DbValue
          jet.connect.DbChar

Direct Known Subclasses:
  fText

    public class DbChar

extends DbValue

Field Summary
`java.lang.String` | `value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Constructor Summary
`DbChar()`
`DbChar(DbColDesc desc)`
`DbChar(java.lang.String val)`

Method Summary
`java.lang.Object` | `clone()` Creates a clone of this DbValue variable.
`int` | `compareTo(DbValue v)` Compare with the dbvalue v;
`boolean` | `equals(DbValue v)` Determine if another DbValue object is of equal value as this DbValue Object
`java.lang.String` | `get()`
`byte[]` | `getRaw()`
`void` | `set(DbValue v)` Set the value with DbValue.
`void` | `set(JRHierarchicalDataset hds, int col)`
`void` | `set(java.sql.ResultSet rs, int col)` Set the value with result set.
`void` | `set(java.lang.String v)`
`void` | `setRaw(byte[] bytes)`
`void` | `setValue(java.lang.String v)` Set the value with a string.
`java.lang.String` | `toConvertString()`
`java.lang.String` | `toString()` Convert the value to string.

Methods inherited from class jet.connect.DbValue
`equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, setColDesc, setfoo, setNull, setValue`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public java.lang.String value

Constructor Detail

### DbChar

    public DbChar()

### DbChar

    public DbChar(java.lang.String val)

### DbChar

    public DbChar(DbColDesc desc)

Method Detail

### getRaw

    public byte[] getRaw()

### setRaw

    public void setRaw(byte[] bytes)

### get

    public final java.lang.String get()

### set

    public final void set(java.lang.String v)

### set

    public void set(java.sql.ResultSet rs,
                    int col)
             throws java.sql.SQLException

  Description copied from class: `DbValue`
  Set the value with result set.

  Specified by:
    `set` in class `DbValue`
  Parameters:
    `rs` - the source value result set.
    `col` - the source value column number in the rs.
  Throws:
    `java.sql.SQLException`

### set

    public void set(JRHierarchicalDataset hds,
                    int col)
             throws java.sql.SQLException

  Overrides:
    `set` in class `DbValue`
  Throws:
    `java.sql.SQLException`

### toString

    public java.lang.String toString()

  Description copied from class: `DbValue`
  Convert the value to string.

  Specified by:
    `toString` in class `DbValue`

### toConvertString

    public java.lang.String toConvertString()

### clone

    public java.lang.Object clone()

  Description copied from class: `DbValue`
  Creates a clone of this DbValue variable.

  Specified by:
    `clone` in class `DbValue`

### equals

    public boolean equals(DbValue v)

  Description copied from class: `DbValue`
  Determine if another DbValue object is of equal value as this DbValue Object

  Specified by:
    `equals` in class `DbValue`

### compareTo

    public int compareTo(DbValue v)

  Description copied from class: `DbValue`
  Compare with the dbvalue v;

  Specified by:
    `compareTo` in class `DbValue`
  Returns:
    LESS, EQUAL, GREAT.

### set

    public void set(DbValue v)

  Description copied from class: `DbValue`
  Set the value with DbValue.

  Specified by:
    `set` in class `DbValue`

### setValue

    public void setValue(java.lang.String v)

  Description copied from class: `DbValue`
  Set the value with a string.

  Specified by:
    `setValue` in class `DbValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD